#include<stdio.h>


int main(){
	int m, n;
	unsigned i, j;
	int a[100][100];
	int suma = 0;
	scanf("%d %d", &m, &n);
	
	if(m < 0 || n < 0)
		return;

	for(i = 0; i < n; i++)
		for(j = 0; j < m; j++)
			scanf("%d", &a[i][j]);
	int p, k;
	
	scanf("%d %d", &p, &k);
	
	if(p > m || k > n)
		return;
	unsigned c, z;
	for(i = 0; i < n; i++)
		for(j = 0; j < m; j++){
			if(i < k && j < p){
				suma = 0;
				for(c = i; c <= k; c++)
					for(z = j; z <= p; z++)
						suma += a[c][z];
						
				printf("%d ", suma);
				}
		}

	return 0;
}
